{
	"name": "table/external/4d/product/product_name.json",
	"table_name": "product_name",
	"table_prefix": "prna",
	"main_table": "product",
	"record_type": [""],
	"local_table": "product_language",
	"local_record_type": "",
	"table_number": 30,
	"field": [
		{
			"field_name": "change_id",
			"local_field": "modify_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 11
		},
		{
			"field_name": "creator_id",
			"local_field": "json_data.create_user",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 12
		},
		{
			"field_name": "customer_project",
			"field_type": "varchar",
			"field_length": 40,
			"field_number": 9
		},
		{
			"field_name": "firm_id",
			"local_field": "json_data.firm_id",
			"field_type": "integer",
			"field_number": 6,
			"constraint": ["index"]
		},
		{
			"field_name": "info",
			"local_field": "info",
			"field_type": "text",
			"field_number": 7
		},
		{
			"field_name": "language",
			"local_field": "language",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 2,
			"constraint": ["index"]
		},
		{
			"field_name": "modifier_id",
			"local_field": "modify_user",
			"field_type": "varchar",
			"field_length": 20,
			"field_number": 13
		},
		{
			"field_name": "name",
			"local_field": "name",
			"field_type": "text",
			"field_number": 3
		},
		{
			"field_name": "product_name_id",
			"local_field": "product_id",
			"field_type": "varchar",
			"field_length": 44,
			"field_number": 1,
			"constraint": ["index"],
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "product_id",
					"linked_table": "product"
				}
			],
			"nullable": true
		},
		{
			"field_name": "project_id",
			"field_type": "varchar",
			"field_length": 40,
			"field_number": 10
		},
		{
			"field_name": "record_id",
			"local_field": "record_id",
			"field_type": "varchar",
			"field_length": 45,
			"field_number": 5,
			"constraint": ["unique"]
		},
		{
			"field_name": "transfer_id",
			"local_field": "json_data.transfer_id",
			"field_type": "varchar",
			"field_length": 60,
			"field_number": 8,
			"constraint": ["index"]
		},
		{
			"field_name": "transfer_state",
			"local_field": "json_data.transfer_state",
			"field_type": "integer",
			"field_number": 14
		},
		{
			"field_name": "unit",
			"local_field": "unit",
			"field_type": "varchar",
			"field_length": 5,
			"field_number": 4
		}
	]
}
